# $Revision: 1.18 $, $Date: 2010/03/12 12:28:43 $
%include	/usr/lib/rpm/macros.mono
Summary:	.NET support for iPods
Summary(pl.UTF-8):	Obsługa iPodów z poziomu .NET
Name:		dotnet-ipod-sharp
Version:	0.8.5
Release:	2
# no real license information, just included COPYING
License:	LGPL v2
Group:		Libraries
Source0:	http://banshee-project.org/files/ipod-sharp/0.8.5/ipod-sharp-%{version}.tar.bz2
# Source0-md5:	fb7f53f64d825847d578a637cd48dd41
Patch0:		%{name}-dep.patch
Patch1:		%{name}-gac.patch
URL:		http://banshee-project.org/Subprojects/Ipod-sharp
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.0
BuildRequires:	dotnet-ndesk-dbus-sharp-devel
BuildRequires:	dotnet-ndesk-dbus-glib-sharp-devel
BuildRequires:	mono-csharp >= 1.1.16.1
BuildRequires:	monodoc >= 2.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(monoautodeps)
Suggests:	podsleuth >= 0.6.1
ExclusiveArch:	%{ix86} %{x8664} alpha arm hppa ia64 mips ppc s390 s390x sparc sparcv9
ExcludeArch:	i386
# can't be noarch because of pkgconfigdir (use /usr/share/pkgconfig?)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ipod-sharp provides support for high level features of Apple's iPod,
like support for audio content, including reading and writing of
the iTunes/iPod database, and syncing music. ipod-sharp also provides
a CIL wrapper for libipoddevice.

%description -l pl.UTF-8
ipod-sharp zapewnia obsługę wysokopoziomowych możliwości urządzeń
Apple iPod, takich jak obsługa danych dźwiękowych wraz z odczytem i
zapisem baz danych iTunes/iPod oraz synchronizacja muzyki. ipod-sharp
udostępnia także wrapper CIL dla libipoddevice.

%package devel
Summary:	Development files for ipod-sharp library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki ipod-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	monodoc >= 2.6

%description devel
Development files for ipod-sharp library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki ipod-sharp.

%prep
%setup -q -n ipod-sharp-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__aclocal} -I .
%{__autoconf}
%{__automake}
%configure

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# replace duplicates by symlinks
cd $RPM_BUILD_ROOT%{_prefix}/lib/ipod-sharp
for f in ipod-sharp.dll* ipod-sharp-ui.dll* ; do
	%{__rm} $f
	ln -sf ../mono/gac/ipod-sharp*/*/$f $f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_prefix}/lib/ipod-sharp
%{_prefix}/lib/ipod-sharp/ipod-sharp-firmware.dll*
%{_prefix}/lib/mono/gac/ipod-sharp
%{_prefix}/lib/mono/gac/ipod-sharp-ui

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/ipod-sharp/ipod-sharp.dll*
%{_prefix}/lib/ipod-sharp/ipod-sharp-ui.dll*
%{_pkgconfigdir}/ipod-sharp.pc
%{_pkgconfigdir}/ipod-sharp-ui.pc
%{_prefix}/lib/monodoc/sources/ipod-sharp-docs.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-ipod-sharp.spec,v $
Revision 1.18  2010/03/12 12:28:43  megabajt
- use %{_prefix}/lib for monodoc
- release 2

Revision 1.17  2009/12/01 12:08:33  patrys
- 0.8.5

Revision 1.16  2008/11/13 22:21:00  duddits
- up to 0.8.1

Revision 1.15  2008/09/13 20:00:54  patrys
- fix symlinking problem
- rel 4

Revision 1.14  2008/09/13 15:49:51  patrys
- rel 3

Revision 1.13  2008/08/26 18:44:52  qboosh
- use symlinks instead of duplicating files
- separated -devel

Revision 1.12  2008/08/26 13:43:44  patrys
- add gac patch
- rel 2

Revision 1.11  2008-04-27 20:21:26  tommat
- EA where mono avaliable

Revision 1.10  2008-01-12 14:24:35  qboosh
- added dep patch: podsleuth is just runtime dependency (added as S to allow development w/o udev)
- deps cleanup

Revision 1.9  2008-01-10 15:26:22  patrys
- 0.8.0
- docs not packaged (I know sh*t about mono policies in PLD)

Revision 1.8  2007-12-08 08:03:03  dzeus
- rel.5

Revision 1.7  2007-09-16 18:29:14  patrys
- rebuild

Revision 1.6  2007/07/15 12:14:04  qboosh
- BR: rpmbuild(monoautodeps)

Revision 1.5  2007/07/15 12:03:35  qboosh
- pl
- more BRs
- make -j1
- /usr/lib is just fine for mono dlls

Revision 1.4  2007/07/11 00:09:52  wolvverine
- add TODO

Revision 1.3  2007/07/10 23:43:04  wolvverine
- rel. 3

Revision 1.2  2007/07/10 16:37:09  wolvverine
- lib -> %{libdir}

Revision 1.1  2007/07/07 16:01:02  patrys
- initial PLD release
